﻿* Encoding: UTF-8.

*****************************************************************************************************************************************************************************************************************.
***************************************GENERACIÓN DE TABULADOS - MÓDULO DE TIC DE LA ENCUESTA ESTRUCTURAL EMPRESARIAL 2016-2017-2018****************************.
*****************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSO (INEC)
*FUENTE: Encuesta de Estructural Empresarial 2018.
*RESPONSABLE: Unidad de Gestión de Estadísticas Estructurales
*Fecha de elaboración: Marzo 2020.
*Fecha de última actualización: 16/04/2020.     


*Estimado Usuario. Por favor en el disco C: de su computadora, crear una carpeta llamada "Tabulados_Estructural", y coloque la base de datos de la encuesta.
*En esta carpeta se exportarán los resultados de los tabulados. 

****TABULADOS 2016_2016_2018***.

GET FILE ='C:\Tabulados_Estructural\2016_2017_2018_BDD_TIC.sav'.

*Utilizar la base con el factor de expansión. 
WEIGHT BY f_exp.
*Inversión en TIC. 
*CUADRO 1. EMPRESAS QUE INVIRTIERON EN TIC SEGÚN TAMAÑO DE EMPRESA, años 2016 2017 y 2018			
POR SECTOR ECONÓMICO							
(NÚMERO Y PORCENTAJE) **									

CTABLES
  /VLABELS VARIABLES=cod_sector Año k tic1_1 tic1_2 DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY k [S][SUM] + tic1_1 [C][COUNT F40.0] + tic1_2 [S][SUM]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=tic1_1 [1] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C1A'
                        'NUMERO DE EMPRESAS QUE INVIRTIERON EN TIC SEGUN SECTOR ECONÓMICO DE LA EMPRESA, AÑOS 2016 2017 y 2018'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.
              
OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
            OPERATION=CREATESHEET  SHEET='C1A'
            LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=cod_tamano Año k tic1_1 tic1_2 DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY k [S][SUM] + tic1_1 [C][COUNT F40.0] + tic1_2 [S][SUM]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=tic1_1 [1] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C1B'
                        'NUMERO DE EMPRESAS QUE INVIRTIERON EN TIC SEGUN TAMAÑO DE LA EMPRESA, AÑOS 2016 2017 y 2018'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
           OPERATION=CREATESHEET  SHEET='C1B'
           LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*Conexión y uso de internet.
*CUADRO 2. EMPRESAS CON CONEXIÓN A INTERNET SEGÚN TAMAÑO DE  EMPRESA, años 2016 2017 y 2018									
POR  SECTOR ECONÓMICO									
(NÚMERO Y PORCENTAJE) ***									

CTABLES
  /VLABELS VARIABLES=cod_sector Año k tic2_1 tic2_2 tic2_3 tic2_4 DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY k [S][SUM] + tic2_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic2_3 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_4 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic2_1 tic2_2 tic2_3 tic2_4 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C2A'
                         'EMPRESAS CON CONEXIÓN A INTERNET Y TIPO DE CONEXIÓN SEGÚN SECTOR ECONÓMICO DE EMPRESA, AÑOS 2016 2017 y 2018'
                         '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C2A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=cod_tamano Año k tic2_1 tic2_2 tic2_3 tic2_4 DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY k [S][SUM] + tic2_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic2_3 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_4 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic2_1 tic2_2 tic2_3 tic2_4 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C2B'
                        'EMPRESAS CON CONEXIÓN A INTERNET Y TIPO DE CONEXIÓN SEGÚN TAMAÑO DE EMPRESA, AÑOS 2016 2017 y 2018'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C2B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

****CUADRO 4. EMPRESAS CON CONEXIÓN A INTERNET SEGÚN SECTOR ECONÓMICO, años 2016 2017 y 2018 POR USO DEL INTERNET (Número) *****.								

CTABLES
  /VLABELS VARIABLES=cod_sector Año tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k DISPLAY=BOTH
  /TABLE cod_sector [C] > Año [C] BY k [S][SUM] + tic2_6a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                         tic2_6b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                         tic2_6d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                         tic2_6f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                         tic2_6h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6i [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                         tic2_6j [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6k [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C3A'
                        'EMPRESAS CON CONEXIÓN A INTERNET SEGÚN SECTOR ECONÓMICO DE EMPRESA, AÑOS 2016 2017 y 2018 POR USO DEL INTERNET'
                        '(NÚMERO Y PORCENTAJE)' 
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'
                         'Nota: El Cuadro C3A considera únicamente las empresas con conexión a internet'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C3A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=cod_tamano Año tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k DISPLAY=BOTH
  /TABLE cod_tamano [C] > Año [C] BY k [S][SUM] + tic2_6a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                          tic2_6b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                          tic2_6d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                          tic2_6f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + 
                                                          tic2_6h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6i [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] +
                                                          tic2_6j [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_6k [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic2_6a tic2_6b tic2_6c tic2_6d tic2_6e tic2_6f tic2_6g tic2_6h tic2_6i tic2_6j tic2_6k [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C3B'
                        'EMPRESAS CON CONEXIÓN A INTERNET SEGÚN TAMAÑO DE EMPRESA, AÑOS 2016 2017 y 2018 POR USO DEL INTERNET'
                        '(NÚMERO Y PORCENTAJE)' 
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'
                    'Nota: El Cuadro C3B considera únicamente las empresas con conexión a internet'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C3B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 5.  EMPRESAS CON INTRANET, EXTRANET  Y RED DE AREA LOCAL SEGÚN TAMAÑO DE EMPRESA, años 2016 2017 y 2018								
POR  SECTOR ECONÓMICO								
(NÚMERO Y PORCENTAJE)***								

CTABLES
  /VLABELS VARIABLES=cod_sector Año k tic2_9 tic2_10 tic2_11 DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY k [S][SUM] + tic2_9 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_10 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic2_11 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=tic2_9 tic2_10 tic2_11 [1] EMPTY=INCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C4A'
                        'EMPRESAS CON INTRANET, EXTRANET Y RED DE AREA LOCAL SEGÚN SECTOR ECONÓMICO, AÑOS 2016 2017 y 2018'
                        '(NÚMERO Y PORCENTAJE) '
        CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'
                        'Nota: El Cuadro C4A considera únicamente las empresas con conexión a internet'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C4A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=cod_tamano Año k tic2_9 tic2_10 tic2_11 DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY k [S][SUM] + tic2_9 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic2_10 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic2_11 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES= cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic2_9 tic2_10 tic2_11 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C4B'
                        'EMPRESAS CON INTRANET, EXTRANET Y RED DE AREA LOCAL SEGÚN TAMAÑO DE EMPRESA, AÑOS 2016 2017 y 2018'
                        '(NÚMERO Y PORCENTAJE) '
        CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'
                        'Nota: El Cuadro C4B considera únicamente las empresas con conexión a internet'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C4B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 6. EMPRESAS QUE REALIZARON TRANSACCIONES COMERCIALES A TRAVÉS DE INTERNET SEGÚN TAMAÑO DE EMPRESA, años 2016 2017 y 2018									
POR SECTOR ECONÓMICO									
(NÚMERO Y PORCENTAJE)**							

CTABLES    
  /VLABELS VARIABLES=cod_sector Año k tic3_1 tic3_2 DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY k [SUM F40.0 ] + tic3_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic3_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic3_1 tic3_2 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C5A'
                        'EMPRESAS QUE REALIZARON TRANSACCIONES COMERCIALES A TRAVÉS DE INTERNET SEGÚN SECTOR ECONÓMICO, AÑOS 2016 2017 y 2018'
                        '(NÚMERO Y PORCENTAJE)'
              CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'
                              'Nota: El Cuadro 11 considera únicamente las empresas con conexión a internet'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C5A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=Año k cod_tamano tic3_1 tic3_2 DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY k [SUM F40.0 ] + tic3_1 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic3_2 [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic3_1 tic3_2 [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C5B'
                        'EMPRESAS QUE REALIZARON TRANSACCIONES COMERCIALES A TRAVÉS DE INTERNET SEGÚN TAMAÑO DE EMPRESA, AÑOS 2016 2017 y 2018'
                        '(NÚMERO Y PORCENTAJE)'
              CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'
                              'Nota: El Cuadro 12 considera únicamente las empresas con conexión a internet'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C5B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

**CUADRO 7. EMPRESAS QUE UTILIZARON SOFTWARE DE CÓDIGO ABIERTO SEGÚN TIPO DE SOFTWARE, años 2016 2017 y 2018								
POR SECTOR ECONÓMICO								
(NÚMERO Y PORCENTAJE)***						
 
CTABLES
  /VLABELS VARIABLES=cod_sector Año k tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY k [S][SUM] + tic4_2a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_2c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
                                                                          + tic4_2e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C6A'
                        'EMPRESAS QUE UTILIZARON SOFTWARE DE CÓDIGO ABIERTO SEGÚN TIPO DE SOFTWARE,'+
                        ' AÑOS 2016 2017 y 2018 POR SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE)'
                    CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C6A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=cod_tamano Año k tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY k [S][SUM] + tic4_2a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic4_2c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_2d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic4_2e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic4_2a tic4_2b tic4_2c tic4_2d tic4_2e [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C6B'
                        'EMPRESAS QUE UTILIZARON SOFTWARE DE CÓDIGO ABIERTO SEGÚN TIPO DE SOFTWARE,'+
                        ' AÑOS 2016 2017 y 2018 POR TAMAÑO DE EMPRESA'
                        '(NÚMERO Y PORCENTAJE)'
                    CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C6B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 8.  EMPRESAS CUYAS ACTIVIDADES DE NEGOCIO SE APOYARON EN EL USO DE TIC, años 2016 2017 y 2018								
POR SECTOR ECONÓMICO								
(NÚMERO Y PORCENTAJE) ****								

CTABLES
  /VLABELS VARIABLES=cod_sector Año k tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY k [S][SUM] + tic4_4a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_4c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_4e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic4_4g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C7A'
                        'EMPRESAS CUYAS ACTIVIDADES DE NEGOCIO SE APOYARON EN EL USO DE TIC,'+
                        ' AÑOS 2016 2017 y 2018 POR SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C7A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=cod_tamano Año k tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY k [S][SUM] + tic4_4a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
                                                                            + tic4_4c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] 
                                                                            + tic4_4e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic4_4g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic4_4h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic4_4a tic4_4b tic4_4c tic4_4d tic4_4e tic4_4f tic4_4g tic4_4h [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
    /TITLES TITLE='CUADRO No. C7B'
                          'EMPRESAS CUYAS ACTIVIDADES DE NEGOCIO SE APOYARON EN EL USO DE TIC,'+
                          ' AÑOS 2016 2017 y 2018 POR TAMAÑO DE EMPRESA'
                          '(NÚMERO Y PORCENTAJE)'
           CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C7B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 9.EMPRESAS UTILIZARON MEDIOS DE COMUNICACIÓN, años 2016 2017 y 2018																		
POR SECTOR ECONÓMICO																		
(NÚMERO Y PORCENTAJE) ****																	

CTABLES
  /VLABELS VARIABLES=cod_sector Año k tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY k [S][SUM] + tic5_1a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic5_1c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic5_1e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                          + tic5_1g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C8A'
                        'EMPRESAS QUE UTILIZARON MEDIOS DE COMUNICACIÓN, AÑOS 2016 2017 y 2018 POR SECTOR ECONÓMICO'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C8A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=cod_tamano Año k tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY k [S][SUM] + tic5_1a [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1b [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic5_1c [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1d [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic5_1e [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1f [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
                                                                            + tic5_1g [C][COUNT F40.0, ROWPCT.COUNT PCT40.1] + tic5_1h [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=tic5_1a tic5_1b tic5_1c tic5_1d tic5_1e tic5_1f tic5_1g tic5_1h [1] EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C8B'
                        'EMPRESAS UTILIZARON MEDIOS DE COMUNICACIÓN, AÑOS 2016 2017 y 2018 POR TAMAÑO DE EMPRESA'
                        '(NÚMERO Y PORCENTAJE)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C8B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

*CUADRO 10. PERSONAL OCUPADO QUE UTILIZA INTERNET Y COMPUTADORES SEGÚN TAMAÑO DE EMPRESA, años 2016 2017 y 2018							
POR SECTOR ECONÓMICO							
(Número) *****					

COMPUTE pers_ocup_internet_tot=sum.1(tic2_5_pers_ocup_internet_h, tic2_5_pers_ocup_internet_m). 
VARIABLE LABELS pers_ocup_internet_tot 'Personal que utiliza internet'.

COMPUTE pers_ocup_comp=sum.1(tic4_1_1_pers_ocup_usa_disp_h, tic4_1_1_pers_ocup_usa_disp_m).
VARIABLE LABELS pers_ocup_comp 'Personal que utiliza computadores'.

COMPUTE totalpeoc =sum.1(tic6_1_1_pers_ocup_h , tic6_1_1_pers_ocup_m ). 
VARIABLE LABELS totalpeoc 'Personal ocupado'.
FORMATS totalpeoc (F15.0).

WEIGHT by f_exp.
USE ALL.

CTABLES
  /VLABELS VARIABLES=cod_sector Año pers_ocup_comp pers_ocup_internet_tot totalpeoc DISPLAY=LABEL
  /TABLE cod_sector [C] > Año [C] BY totalpeoc [S][SUM F40.0] + pers_ocup_internet_tot [S][SUM F40.0] + pers_ocup_comp [S][SUM F40.0] 
  /CATEGORIES VARIABLES=cod_sector ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C9A'
                        'PERSONAL OCUPADO, PERSONAL QUE UTILIZA INTERNET Y PERSONAL QUE UTILIZA COMPUTADORES SEGÚN SECTOR ECONÓMICO,'+
                        ' AÑOS 2016 2017 y 2018'
                        '(NÚMERO)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C9A'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

CTABLES
  /VLABELS VARIABLES=Año pers_ocup_comp pers_ocup_internet_tot totalpeoc DISPLAY=LABEL
  /TABLE cod_tamano [C] > Año [C] BY totalpeoc [S][SUM F40.0] + pers_ocup_internet_tot [S][SUM F40.0] + pers_ocup_comp [S][SUM F40.0]
  /CATEGORIES VARIABLES=cod_tamano ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CATEGORIES VARIABLES=Año ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95
  /TITLES TITLE='CUADRO No. C9B'
                        'PERSONAL OCUPADO, PERSONAL QUE UTILIZA INTERNET Y PERSONAL QUE UTILIZA COMPUTADORES SEGÚN TAMAÑO DE EMPRESA,'+
                        ' AÑOS 2016 2017 y 2018'
                        '(NÚMERO)'
         CAPTION='Fuente: Módulo de TIC de la Encuesta Estructural Empresarial (ENESEM) 2016, 2017 y 2018'.

OUTPUT EXPORT
  /CONTENTS  EXPORT=VISIBLE  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /XLSX  DOCUMENTFILE='C:\Tabulados_Estructural\TABULADOS_TIC'
     OPERATION=CREATESHEET  SHEET='C9B'
     LOCATION=LASTCOLUMN  NOTESCAPTIONS=YES.
OUTPUT CLOSE *.

WEIGHT OFF.

DELETE VARIABLES pers_ocup_internet_tot pers_ocup_comp totalpeoc.

